#include <bits/stdc++.h>

#define ll long long
using namespace std;

bool sortcol( const vector<double>& v1,
               const vector<double>& v2 ) {
 return v1[1] < v2[1];
}

int main()
{
  ll s, sc = 0, br = 0, si = 0;
  int n, y;
  bool ind = false;
  bool done = false;
  double x;
  //cin >> n;
  scanf("%d", &n);
  vector< vector<double> > mat;
  double r[n];
  for (int i = 0; i < n; i++){
        vector<double> row;
        for (int j = 0; j < 2; j++){
            //cin >> x;
            scanf("%lf", &x);
            row.push_back(x);
        }
        mat.push_back(row);
        row.clear();
  }

  sort(mat.begin(), mat.end(), sortcol);
  for (int i = 0; i < n; i++){
        s += (ll)mat[i][0];
  }
  for (int i = 0; i < n; i++){
      r[i] = (mat[i][1]/100) * (s - sc);
      if(i != n-1){
            if(mat[i][1] != mat[i+1][1]) {
                sc += mat[i][0] + si;
                si = 0;
                br = 0;
                ind = false;
            }
            while(mat[i+br][1] == mat[i+br+1][1] && !done){
                y = i;
                si += mat[i+br][0];
                ++br;
                ind = true;
            }
            if(ind && y == i){
                si += mat[i+br][0];
                done = true;
            }
      }
  }

  double maxi = r[0];
  for (int i = 1; i < n; i++){
      maxi = max(maxi, r[i]);
  }
  cout << setprecision(10);
  cout << maxi << endl;
  //printf("%lf", maxi);


}